

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/buffer.c |    3 +--
 25-akpm/fs/mpage.c  |   10 +++++-----
 2 files changed, 6 insertions(+), 7 deletions(-)

diff -puN fs/buffer.c~add-nobh_writepage-support-tidy fs/buffer.c
--- 25/fs/buffer.c~add-nobh_writepage-support-tidy	Fri Feb 18 17:09:20 2005
+++ 25-akpm/fs/buffer.c	Fri Feb 18 17:09:20 2005
@@ -2525,9 +2525,8 @@ int nobh_writepage(struct page *page, ge
 	int ret;
 
 	/* Is the page fully inside i_size? */
-	if (page->index < end_index) {
+	if (page->index < end_index)
 		goto out;
-	}
 
 	/* Is the page fully outside i_size? (truncate in progress) */
 	offset = i_size & (PAGE_CACHE_SIZE-1);
diff -puN fs/mpage.c~add-nobh_writepage-support-tidy fs/mpage.c
--- 25/fs/mpage.c~add-nobh_writepage-support-tidy	Fri Feb 18 17:09:20 2005
+++ 25-akpm/fs/mpage.c	Fri Feb 18 17:09:20 2005
@@ -388,7 +388,7 @@ EXPORT_SYMBOL(mpage_readpage);
 static struct bio *
 __mpage_writepage(struct bio *bio, struct page *page, get_block_t get_block,
 	sector_t *last_block_in_bio, int *ret, struct writeback_control *wbc,
-	writepage_t writepage_helper)
+	writepage_t writepage_fn)
 {
 	struct address_space *mapping = page->mapping;
 	struct inode *inode = page->mapping->host;
@@ -582,9 +582,9 @@ confused:
 	if (bio)
 		bio = mpage_bio_submit(WRITE, bio);
 
-	if (writepage_helper)
-		*ret = writepage_helper(page, wbc);
-	else {
+	if (writepage_fn) {
+		*ret = (*writepage_fn)(page, wbc);
+	} else {
 		*ret = -EAGAIN;
 		goto out;
 	}
@@ -748,7 +748,7 @@ mpage_writepage(struct page *page, get_b
 	struct writeback_control *wbc)
 {
 	int ret = 0;
-	struct bio *bio = NULL;
+	struct bio *bio;
 	sector_t last_block_in_bio = 0;
 
 	bio = __mpage_writepage(bio, page, get_block,
_
